## org.jfree.chart.block
Class LineBorder

    java.lang.Object
      org.jfree.chart.block.LineBorder

All Implemented Interfaces:
  java.io.Serializable, BlockFrame

    public class LineBorder

extends java.lang.Object
implements BlockFrame, java.io.Serializable

A line border for any `AbstractBlock`.

Since:
  1.0.5
See Also:
  Serialized Form

Constructor Summary
`LineBorder()` Creates a default border.
`LineBorder(java.awt.Paint paint, java.awt.Stroke stroke, org.jfree.ui.RectangleInsets insets)` Creates a new border with the specified color.

Method Summary
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the border by filling in the reserved space (in black).
`boolean` `equals(java.lang.Object obj)` Tests this border for equality with an arbitrary instance.
`org.jfree.ui.RectangleInsets` `getInsets()` Returns the insets.
`java.awt.Paint` `getPaint()` Returns the paint.
`java.awt.Stroke` `getStroke()` Returns the stroke.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineBorder

    public LineBorder()

  Creates a default border.

### LineBorder

    public LineBorder(java.awt.Paint paint,
                      java.awt.Stroke stroke,
                      org.jfree.ui.RectangleInsets insets)

  Creates a new border with the specified color.

  Parameters:
    `paint` - the color (`null` not permitted).
    `stroke` - the border stroke (`null` not permitted).
    `insets` - the insets (`null` not permitted).

Method Detail

### getPaint

    public java.awt.Paint getPaint()

  Returns the paint.

  Returns:
    The paint (never `null`).

### getInsets

    public org.jfree.ui.RectangleInsets getInsets()

  Returns the insets.

  Specified by:
    `getInsets` in interface `BlockFrame`
  Returns:
    The insets (never `null`).

### getStroke

    public java.awt.Stroke getStroke()

  Returns the stroke.

  Returns:
    The stroke (never `null`).

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area)

  Draws the border by filling in the reserved space (in black).

  Specified by:
    `draw` in interface `BlockFrame`
  Parameters:
    `g2` - the graphics device.
    `area` - the area.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this border for equality with an arbitrary instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.